{% extends "../../layout.jinja2" %}

{% block content %}<h1>List of instruments</h1>
<table class="table">
    <thead>
        <tr>
            <th>Interferometer</th>
            <th>ID</th>
            <th>Name</th>
            <th>Headers</th>
            <th>Observations</th>
            <th>Exposures</th>
        </tr>
    </thead>
    <tbody>
    {% for instrument in instruments %}
        <tr>
            <td><a href="{{ request.route_path('detail', type='interferometer', id=instrument.interferometer.id) }}">{{ instrument.interferometer.name }}</a></td>
            <td><a href="{{ request.route_path('detail', type='instrument', id=instrument.id) }}">{{ instrument.id }}</a></td>
            <td>{{ instrument.name }}</td>
            <td>{{ instrument.headers_count or 0 }}</td>
            <td>{{ instrument.observations_count or 0 }}</td>
            <td>{{ instrument.exposures_count or 0 }}</td>
        </tr>
    {% endfor %}
    </tbody>
</table>
{% endblock content %}